%define anolis_release 3
# Run extra tests
%bcond_with perl_List_MoreUtils_XS_enables_extra_test

Name:		perl-List-MoreUtils-XS
Version:	0.430
Release:	%{anolis_release}%{?dist}
Summary:	Provide compiled List::MoreUtils functions
# Code from List-MoreUtils < 0.417 is GPL+ or Artistic
# Anything after that is ASL 2.0
# "git blame" on the upstream repo will probably be needed to
# determine the license of any particular chunk of code
License:	(GPL+ or Artistic) and ASL 2.0
URL:		https://metacpan.org/release/List-MoreUtils-XS
Source0:	https://cpan.metacpan.org/modules/by-module/List/List-MoreUtils-XS-%{version}.tar.gz
Patch0:		List-MoreUtils-XS-0.430-unbundle.patch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(Config::AutoConf) >= 0.315
BuildRequires:	perl(ExtUtils::CBuilder)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader) >= 0.22
# Test Suite
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Math::Trig)
BuildRequires:	perl(overload)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Storable)
BuildRequires:	perl(Test::Builder::Module)
%if %{with perl_List_MoreUtils_XS_enables_extra_test}
BuildRequires:	perl(Test::LeakTrace)
%endif
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Tie::Array)
# Runtime

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides accelerated versions of functions in List::MoreUtils.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n List-MoreUtils-XS-%{version}

# Unbundle bundled modules except private inc::Config::AutoConf::LMU
%patch0
find inc/ -type f ! -name LMU.pm -print -delete

%build
perl Makefile.PL \
	INSTALLDIRS=vendor \
	OPTIMIZE="%{optflags}"\
	NO_PERLLOCAL=1 \
	NO_PACKLIST=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license ARTISTIC-1.0 GPL-1 LICENSE
%{perl_vendorarch}/auto/List/
%{perl_vendorarch}/List/
%{_mandir}/man3/List::MoreUtils::XS.3*

%files doc
%doc Changes MAINTAINER.md README.md

%changelog
* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.430-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.430-2
- rebuild with perl 5.36.0

* Tue Jan 17 2023 Funda Wang <fundawang@yeah.net> - 0.430-1
- Import package for anolis 23
